Bug 98106 - up2date -f kernel-headers does not work, but up2date kernel-headers -f does.
Summary: up2date -f kernel-headers does not work, but up2date kernel-headers -f does.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: up2date-rhel2.1-u5
TreeView+ depends on / blocked
 
Reported: 2003-06-26 16:59 UTC by Kambiz Aghaiepour
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 21:20:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kambiz Aghaiepour 2003-06-26 16:59:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
I needed kernel-headers but got the following weirdness when trying to install it:

[root@hostname root]# up2date -f kernel-keaders

Fetching package list for channel: redhat-advanced-server-i386...
########################################

Fetching Obsoletes list for channel: redhat-advanced-server-i386...
########################################
None of the packages you requested were found, or they are already updated.
[root@hostname root]# rpm -q kernel-headers
package kernel-headers is not installed

[root@hostname root]# up2date kernel-headers -f

Fetching package list for channel: redhat-advanced-server-i386...
########################################

Fetching Obsoletes list for channel: redhat-advanced-server-i386...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
kernel-headers-2.4.9-e.25.i ########################## Done.
Preparing...                ########################################### [100%]

Installing...
   1:kernel-headers         ########################################### [100%]
[root@hostname root]#

The box is up2date already. That is, the version of up2date is:

up2date-2.8.45-1.2.1AS


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install AS2.1
2. Make sure the box is up2date (and kernel-headers is not installed)
3. Try "up2date -f kernel-headers", then try "up2date kernel-headers -f"
    

Actual Results:  The first example, "up2date -f kernel-headers" does not work.

Expected Results:  According to the man page for up2date, I should be able to:

   up2date [OPTION]... [PACKAGE NAME]...



Additional info:

Comment 1 Brian Brock 2004-03-05 18:25:31 UTC
is this bit a typo: ?

root@hostname root]# up2date -f kernel-keaders

(kernel-headers misspelled as kernel-headers)


even if it isn't, please check that you can properly up2date
kernel-headers now (kernel-headers packages were updated today, and
I'm looking at all related bugs)

Comment 2 Kambiz Aghaiepour 2004-11-23 19:20:26 UTC
Seems to work fine in:

up2date-2.9.14-1.2.1AS

Feel free to close.

Kambiz


Note You need to log in before you can comment on or make changes to this bug.